### Constructor

# Gtk TryExpression new

since: 4.22

#### Declaration [src]

    GtkExpression*
    gtk_try_expression_new (
      guint n_expressions,
      GtkExpression** expressions
    )

#### Description [src]

Creates a `GtkExpression` with an array of expressions.

When evaluated, the `GtkTryExpression` tries to evaluate each of its expressions until it succeeds. If all expressions fail to evaluate, the `GtkTryExpression`‘s evaluation fails as well.

The value type of the expressions in the array must match.

Available since: 4.22

#### Parameters

`n_expressions`

  Type: `guint`

  The number of expressions.

`expressions`

  Type: An array of `GtkExpression*`

  The array of expressions.

  The length of the array is specified in the `n_expressions` argument.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkTryExpression`

A new `GtkExpression`.

The caller of the function takes ownership of the data, and is responsible for freeing it.